/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	City.cpp
*摘要：		游戏城市类
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-20  wstjb     基本的功能完成
***********************************************************************/

#include "City.h"
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include <fstream>

extern  PAINTSTRUCT ps;
extern 	HDC hdc;
extern 	HBITMAP hbmp; 
extern 	HBITMAP hbmp2; 
extern 	BITMAP bmp;
extern 	HDC hdcMem;
extern 	HDC hdcTmp;
extern 	RECT rect;
extern 	HWND hwnd;


using namespace std;


/***********************************************************************
 * 说明:     City类初始化数据函数
 * 输入参数: int choice——所选择历史时期，int number——城市序号
 * 返回值  : 无
 * 功能	   : 初始化数据
 * 修改历史:
 *               姓名            日期             说明
 *             ------          ----------      -------------
 *             wstjb          2012-10-20       完成基本功能
***********************************************************************/
void City::InitData(int choice,int number)
{
	//wlogfile(1,__FUNCTION__,"开始",0);
	/*char name[NORMALSTRLEN];
	if (choice==DZNQ)sprintf_s(name,"%s","Res\\City\\city1.sdt");
	if (choice==CCJQ)sprintf_s(name,"%s","Res\\City\\city2.sdt");
	if (choice==CBZZ)sprintf_s(name,"%s","Res\\City\\city3.sdt");
	if (choice==SGDL)sprintf_s(name,"%s","Res\\City\\city4.sdt");
	ifstream infile(name,ios::in);
	for(int g=0;g<CITYMAX;g++)
	{
		
			infile>>no;
			infile>>owner;
			infile>>ownto;
			infile>>agriculturemax;
			infile>>agriculture;
			infile>>businessmax;
			infile>>business;
			infile>>heart;
			infile>>disease;
			infile>>peoplemax;
			infile>>people;
			infile>>money;
			if(money>99998)money=1;
			infile>>foods;
			if(foods>99998)foods=1;
			infile>>soldierspace;
			infile>>employers;
			infile>>employnum;
			infile>>goods;
			infile>>goodnum;
			statue=0;
			if(no==number)
			{
				break;
			}
			
	}
	infile.close();*/
	//ChangeRes(name);
	
		 
}

void City::ChangeData(int number)
{
	wlogfile(1,__FUNCTION__,"开始",0);
}



